--[[

Add shell commands, currently only to show the main window.

]]--

shellCmd = Turbine.ShellCommand();

function shellCmd.Execute(sender, cmd, args)
   if ((string.lower(cmd) == "killtracker") or (string.lower(cmd) == "kt")) then
      if (string.lower(args)==L.CmdShow) then
         statsWindow:SetVisible(true);

         RefreshKillsDisplay();
      else
			Turbine.Shell.WriteLine(L.Usage..":");
			Turbine.Shell.WriteLine("  /KillTracker "..L.CmdShow);
			Turbine.Shell.WriteLine("  /kt "..L.CmdShow);
			Turbine.Shell.WriteLine("       "..L.CmdShowDesc..".");
      end
   end
end

function shellCmd.GetHelp(sender, cmd)
   return(L.Usage..":\n  /kt "..L.CmdShow.."\n       "..L.CmdShowDesc..".");
end

function shellCmd.GetShortHelp(sender, cmd)
   return("KillTracker - "..L.Usage..": /kt "..L.CmdShow);
end

function _G.AddShellCommands()
   Turbine.Shell.AddCommand("KillTracker", shellCmd);
   Turbine.Shell.AddCommand("kt", shellCmd);
end

function _G.RemoveShellCommands(sender, args)
   Turbine.Shell.RemoveCommand(shellCmd)
end
